# Collocation_Strategy.h File Reference

`#include "tao/orbconf.h"`
`#include "tao/Versioned_Namespace.h"`

Include dependency graph for Collocation_Strategy.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO

## Enumerations

enum | Collocation_Strategy { TAO_CS_REMOTE_STRATEGY, TAO_CS_THRU_POA_STRATEGY, TAO_CS_DIRECT_STRATEGY, TAO_CS_LAST }

## Detailed Description

Id
  Collocation_Strategy.h,v 1.3 2005/11/24 11:05:44 ossama Exp

Author:
  DOC Group - Wash U and UCI

## Enumeration Type Documentation

enum Collocation_Strategy

Enumeration values:

  TAO_CS_REMOTE_STRATEGY | i.e no collocation.
  TAO_CS_THRU_POA_STRATEGY | Calls to the collocated object are forwarded by the POA.
  TAO_CS_DIRECT_STRATEGY | Calls to the collocated object are made directly to its servant.
  TAO_CS_LAST | This value should always be the last value in the enumeration. It provides the count for the number of collocation strategies.